gtk.TreeModelRowIter
Prev | The gtk Class Reference | Next

## gtk.TreeModelRowIter

gtk.TreeModelRowIter — an object for iterating over a set of `gtk.TreeModelRow` objects.

## Synopsis

    class gtk.TreeModelRowIter:
        def next()

## Ancestry

    +-- gobject.GBoxed
        +-- gtk.TreeModelRowIter

## Description

A `gtk.TreeModelRowIter` is an object that implements the Python Iterator protocol. It provides the means to iterate over a set of `gtk.TreeModelRow` objects in a `gtk.TreeModel`. A `gtk.TreeModelRowIter` is created by calling the Python `iter`() function on a `gtk.TreeModel` object:

      treemodelrowiter = iter(treestore)

or, calling the `gtk.TreeModelRow.iterchildren`() method to iterate over its child rows.

Each time you call the `next`() method it returns the next sibling `gtk.TreeModelRow` . When there are no rows left the StopIteration exception is raised. Note that a `gtk.TreeModelRowIter` does not iterate over the child rows of the rows it is iterating over. You'll have to use the `gtk.TreeModelRow.iterchildren`() method to retrieve an iterator for the child rows.

## Methods

### gtk.TreeModelRowIter.next

        def next()

Returns : | the next `gtk.TreeModelRow`

The `next`() method returns the next `gtk.TreeModelRow` in the set of rows it is iterating over. When there are no more rows left the StopIteration exception is raised.

Prev | Up | Next
gtk.TreeModelRow | Home | gtk.TreeRowReference